<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<% html_title t(:label_administration), t("project_module_storages") %>
<% local_assigns[:additional_breadcrumb] = t('storages.label_new_storage') %>
<%= toolbar title: t("storages.page_titles.project_settings.new") %>

<section class="form--section">
  <% if @available_storages.any? %>
    <% if @project_storage.storage.blank? %>
      <%= labelled_tabular_form_for @project_storage,
                                    url: new_project_settings_project_storage_path,
                                    html: { method: :get } do |f| -%>
        <%= render partial: '/storages/project_settings/storage_select_form',
                   locals: { f: f, available_storages: @available_storages, submit_button_label: t('button_continue') }
        %>
      <% end %>
    <% else %>
      <%= labelled_tabular_form_for @project_storage, url: project_settings_project_storages_path do |f| -%>
        <%= render partial: '/storages/project_settings/project_folder_form',
                   locals: { f: f, submit_button_label: t('button_add') }
        %>
      <% end %>
    <% end %>
  <% else %>
    <%= render partial: '/storages/project_settings/toast_all_available_storages_already_added' %>
  <% end %>
</section>
